<?php
$tdataroutes = array();
$tdataroutes[".searchableFields"] = array();
$tdataroutes[".ShortName"] = "routes";
$tdataroutes[".OwnerID"] = "";
$tdataroutes[".OriginalTable"] = "routes";


$tdataroutes[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataroutes[".originalPagesByType"] = $tdataroutes[".pagesByType"];
$tdataroutes[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataroutes[".originalPages"] = $tdataroutes[".pages"];
$tdataroutes[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataroutes[".originalDefaultPages"] = $tdataroutes[".defaultPages"];

//	field labels
$fieldLabelsroutes = array();
$fieldToolTipsroutes = array();
$pageTitlesroutes = array();
$placeHoldersroutes = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsroutes["English"] = array();
	$fieldToolTipsroutes["English"] = array();
	$placeHoldersroutes["English"] = array();
	$pageTitlesroutes["English"] = array();
	$fieldLabelsroutes["English"]["id"] = "Id";
	$fieldToolTipsroutes["English"]["id"] = "";
	$placeHoldersroutes["English"]["id"] = "";
	$fieldLabelsroutes["English"]["route_id"] = "Route Id";
	$fieldToolTipsroutes["English"]["route_id"] = "";
	$placeHoldersroutes["English"]["route_id"] = "";
	$fieldLabelsroutes["English"]["route_name"] = "Route Name";
	$fieldToolTipsroutes["English"]["route_name"] = "";
	$placeHoldersroutes["English"]["route_name"] = "";
	if (count($fieldToolTipsroutes["English"]))
		$tdataroutes[".isUseToolTips"] = true;
}


	$tdataroutes[".NCSearch"] = true;



$tdataroutes[".shortTableName"] = "routes";
$tdataroutes[".nSecOptions"] = 0;

$tdataroutes[".mainTableOwnerID"] = "";
$tdataroutes[".entityType"] = 0;
$tdataroutes[".connId"] = "easy_cash_at_localhost";


$tdataroutes[".strOriginalTableName"] = "routes";

	



$tdataroutes[".showAddInPopup"] = false;

$tdataroutes[".showEditInPopup"] = false;

$tdataroutes[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataroutes[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataroutes[".listAjax"] = false;
//	temporary
$tdataroutes[".listAjax"] = false;

	$tdataroutes[".audit"] = false;

	$tdataroutes[".locking"] = false;


$pages = $tdataroutes[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataroutes[".edit"] = true;
	$tdataroutes[".afterEditAction"] = 1;
	$tdataroutes[".closePopupAfterEdit"] = 1;
	$tdataroutes[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataroutes[".add"] = true;
$tdataroutes[".afterAddAction"] = 1;
$tdataroutes[".closePopupAfterAdd"] = 1;
$tdataroutes[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataroutes[".list"] = true;
}



$tdataroutes[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataroutes[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataroutes[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataroutes[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataroutes[".printFriendly"] = true;
}



$tdataroutes[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataroutes[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataroutes[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataroutes[".isUseAjaxSuggest"] = true;

$tdataroutes[".rowHighlite"] = true;



																								

$tdataroutes[".ajaxCodeSnippetAdded"] = false;

$tdataroutes[".buttonsAdded"] = false;

$tdataroutes[".addPageEvents"] = false;

// use timepicker for search panel
$tdataroutes[".isUseTimeForSearch"] = false;


$tdataroutes[".badgeColor"] = "4169E1";


$tdataroutes[".allSearchFields"] = array();
$tdataroutes[".filterFields"] = array();
$tdataroutes[".requiredSearchFields"] = array();

$tdataroutes[".googleLikeFields"] = array();
$tdataroutes[".googleLikeFields"][] = "id";
$tdataroutes[".googleLikeFields"][] = "route_id";
$tdataroutes[".googleLikeFields"][] = "route_name";



$tdataroutes[".tableType"] = "list";

$tdataroutes[".printerPageOrientation"] = 0;
$tdataroutes[".nPrinterPageScale"] = 100;

$tdataroutes[".nPrinterSplitRecords"] = 40;

$tdataroutes[".geocodingEnabled"] = false;





$tdataroutes[".isResizeColumns"] = true;





$tdataroutes[".pageSize"] = 20;

$tdataroutes[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataroutes[".strOrderBy"] = $tstrOrderBy;

$tdataroutes[".orderindexes"] = array();


$tdataroutes[".sqlHead"] = "SELECT id,  	route_id,  	route_name";
$tdataroutes[".sqlFrom"] = "FROM routes";
$tdataroutes[".sqlWhereExpr"] = "";
$tdataroutes[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataroutes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataroutes[".arrGroupsPerPage"] = $arrGPP;

$tdataroutes[".highlightSearchResults"] = true;

$tableKeysroutes = array();
$tableKeysroutes[] = "id";
$tdataroutes[".Keys"] = $tableKeysroutes;


$tdataroutes[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "routes";
	$fdata["Label"] = GetFieldLabel("routes","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataroutes["id"] = $fdata;
		$tdataroutes[".searchableFields"][] = "id";
//	route_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "route_id";
	$fdata["GoodName"] = "route_id";
	$fdata["ownerTable"] = "routes";
	$fdata["Label"] = GetFieldLabel("routes","route_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "route_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "route_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataroutes["route_id"] = $fdata;
		$tdataroutes[".searchableFields"][] = "route_id";
//	route_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "route_name";
	$fdata["GoodName"] = "route_name";
	$fdata["ownerTable"] = "routes";
	$fdata["Label"] = GetFieldLabel("routes","route_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "route_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "route_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataroutes["route_name"] = $fdata;
		$tdataroutes[".searchableFields"][] = "route_name";


$tables_data["routes"]=&$tdataroutes;
$field_labels["routes"] = &$fieldLabelsroutes;
$fieldToolTips["routes"] = &$fieldToolTipsroutes;
$placeHolders["routes"] = &$placeHoldersroutes;
$page_titles["routes"] = &$pageTitlesroutes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["routes"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["routes"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_routes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	route_id,  	route_name";
$proto0["m_strFrom"] = "FROM routes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "routes",
	"m_srcTableName" => "routes"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "routes";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "route_id",
	"m_strTable" => "routes",
	"m_srcTableName" => "routes"
));

$proto8["m_sql"] = "route_id";
$proto8["m_srcTableName"] = "routes";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "route_name",
	"m_strTable" => "routes",
	"m_srcTableName" => "routes"
));

$proto10["m_sql"] = "route_name";
$proto10["m_srcTableName"] = "routes";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "routes";
$proto13["m_srcTableName"] = "routes";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "id";
$proto13["m_columns"][] = "route_id";
$proto13["m_columns"][] = "route_name";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "routes";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "routes";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="routes";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_routes = createSqlQuery_routes();


	
		;

			

$tdataroutes[".sqlquery"] = $queryData_routes;



$tableEvents["routes"] = new eventsBase;
$tdataroutes[".hasEvents"] = false;

?>